### Class

# Foundry SimpleLlmMessage

#### Description

    final class Foundry.SimpleLlmMessage : Foundry.LlmMessage
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- FoundryLlmMessage
- GObject

#### Constructors

###### foundry_simple_llm_message_new

No description available.

#### Instance methods

##### Methods inherited from FoundryLlmMessage (4)

###### foundry_llm_message_dup_content

The content of the message.

###### foundry_llm_message_dup_role

The role of the message such as “system”, “user”, “assistant”, or “tool”.

###### foundry_llm_message_has_tool_call

No description available.

###### foundry_llm_message_list_tool_calls

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FoundryLlmMessage (2)

###### Foundry.LlmMessage:content

No description available.

###### Foundry.LlmMessage:role

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundrySimpleLlmMessageClass {
      FoundryLlmMessageClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryLlmMessageClass`

  No description available.